### Function

# Qmi MessageLocInjectPredictedOrbitsDataInput new

since: 1.22

#### Declaration [src]

    QmiMessageLocInjectPredictedOrbitsDataInput*
    qmi_message_loc_inject_predicted_orbits_data_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageLocInjectPredictedOrbitsDataInput`.

Available since: 1.22

#### Return value

Type: `QmiMessageLocInjectPredictedOrbitsDataInput`

The newly created `QmiMessageLocInjectPredictedOrbitsDataInput`. The returned value should be freed with qmi_message_loc_inject_predicted_orbits_data_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.